<div class="wrapper-outer">
    <div class="container">
        <div class="row">
            <div class="col-sm-12">
                <div class="cont-login">
                    <div class="form-box">
                        <form [formGroup]="languagesEditForm">
                            <div class="form-group">
                                <div class="row">
                                    <div class="col-4"><label>Select languages</label></div>
                                    <div class="col-8">
                                        <ng-select formControlName="language" [items]="allLanguages" [multiple]="true"
                                            [closeOnSelect]="false" [searchable]="false" bindLabel="nativeName"
                                            placeholder=" Select languages" dropdownPosition="bottom"
                                            (change)="showSelectedLanguage()">
                                        </ng-select>
                                    </div>
                                </div>
                            </div>
                            
                        </form>
                            <div class="lang-btm" *ngIf="selectedLanguagesList.length">
                                <table class="table table-bordered language-table">
                                    <tbody>
                                        <tr>
                                            <th>Languages</th>
                                            <th>Beginner</th>
                                            <th>Intermediate</th>
                                            <th>Advanced</th>
                                            <th>Fluent</th>
                                        </tr>
                                        <tr *ngFor="let lang of selectedLanguagesList;let i = index; ">
                                            <td style="text-align:left;"><strong> {{lang.nativeName}} </strong></td>
                                            <td><input type="radio" name="{{lang.code}}" value="Beginner" [(ngModel)]="lang.rank" (change)="selectRank(i,'Beginner')">
                                            </td>
                                            <td><input type="radio" name="{{lang.code}}" value="Intermediate" [(ngModel)]="lang.rank" (change)="selectRank(i,'Intermediate')">
                                            </td>
                                            <td><input type="radio" name="{{lang.code}}" value="Advanced" [(ngModel)]="lang.rank" (change)="selectRank(i,'Advanced')">
                                            </td>
                                            <td><input type="radio" name="{{lang.code}}" value="Fluent" [(ngModel)]="lang.rank" (change)="selectRank(i,'Fluent')">
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>

                            <div class="form-group text-center">
                                <input type="submit" *ngIf="selectedLanguagesList.length"
                                    [disabled]="!languagesEditForm.valid" (click)="saveLanguages()" value="Save"
                                    class="btn">
                            </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>